Insmod says 2.0.27 doesn't match 2.0.27. Duh?

Insmod says 2.0.27 doesn't match 2.0.27. Duh?

Post by Kevin Mart » Mon, 21 Apr 1997 04:00:00



Has anyone come up with a concrete answer for this one yet?
I just did an AltaVista search, and it seems to be happening
a lot, with no good solutions yet.

  $ insmod younameit
  blahblah wrong verson or undefined
  Loading failed!  The module symbols (from linux-2.0.27) don't
    match your linux-2.0.27

Running depmod -a returns NO errors.
Doing make modules and make modules_install  does NOT help.
And to add insult to injury, it was working just fine this morning!
I cannot figure out what the devil I've done differently from a dozen
other successful kernel builds, with and without kerneld.

 
 
 

Insmod says 2.0.27 doesn't match 2.0.27. Duh?

Post by Kevin Mart » Mon, 21 Apr 1997 04:00:00


Here's a bit of further info -- if I try to insmod the aha152x module
for my SCSI Zip drive, I get the rigamole from the subject line.

If I try to mount the drive, I get the error message that the module
isn't loaded -- "(insmod driver?)".  BUT THEN, I can do the insmod,
mount the Zip drive, and everything works fine!  Doing a failed mount
command fixes insmod.  But how?

Does that help narrow it down at all?  To repeat, doing depmod -a
does not do a d*mn thing and recompiling the kernel and the modules
doesn't help either.  It worked just fine under 2.0.17 AND the first
couple of times I compiled 2.0.27.  Help!

 
 
 

1. libg++.so.27 and libstc++.so.27?

I'm trying to install netscape 4.05 and Real Server.  Both require
libg++.so.27 and libstc++.so.27.  Could someone tell me where to find these
libraries.  I have tried installing libg++-2.0.1.1a and libstc++-2.0.1 and
these only install libg++.so.26.2.25 and libstc++.so.26.2.25 (or somewhere
along the .26 rev.)  I am using slackware 3.0.  I'm going to upgrade to
slackware 3.5 tonight, but I'm not sure if they are included in that version
of slackware.  Any help is appreciated.

Chandler Chao

2. NFS exporting from 3.2v4.2 to 5.0

3. 2.5.40 s390 (27/27): control characters.

4. Performance difference between UDMA33 and UDMA66

5. bash on solaris: "export LINES=27" doesn't change LINES

6. Help with moving linux to another harddisk

7. 2.0.27 compiles, 2.0.29 doesn't (missing header files?)

8. Free Versions of REXX for Unix

9. bash on solaris: "export LINES=27" doesn't change LINES

10. Keyboard doesn't work under 2.0.27 but works with 1.2.13

11. Specifying a regular expression that will match an escape (ASCII 27) code.

12. Sub: can't load library 'libg++.so.27' (libc6 strikes again)

13. netscape: can't load library 'libg++.so.27'